{% extends 'site_base.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% load humanize %}

{% load custom_tags %}
{% block content %}

    <style>
        .summary-head {
            display: -webkit-inline-box;
            margin: 3px 0 0 8px !important;
            vertical-align: top;
        }
        .status-image {
            position: absolute;
            margin: 0 auto 0 15%;
        }
        .min-error {
            margin: 0 auto 1%;
            font-size: 16px;
            padding: 6px 12px;
            background: yellow;
            border: 1px solid #d4d41d;
            color: #000;
            border-radius: 4px;
            float: none;
            max-width: 70%;
        }
    </style>

    <head>
            <link rel="stylesheet" type="text/css" href="{% static 'css/new-style.css' %}">
            
        
        <title>{% block title %}Dealer Order Detail {% endblock %}</title>
    </head>


    <form method="POST">{% csrf_token %}
         
        <h4 style="text-align:center;margin-top: -20px;margin-bottom: 20px;">{{msg}}</h4>
        <div class="col-order-detail">
            <div class="row">
                {% if min_order_error %}
                    <div class="col-xs-12 col-sm-12 col-md-12 min-error">
                        <i class="fa fa-warning" style="color: red;"></i> &nbsp;
                        Your Order Value(₹ {{order_amount|floatformat:2|intcomma}})
                        should be more than your minimum order amount(₹ {{min_amount|floatformat:2|intcomma}}),
                        please <a href="{% url 'productlist' %}">Click here</a>
                        to add more product.
                    </div>
                {% endif %}
            </div>
            <div class="row row-order">
                <div class="col-md-4">
                    <span id="btn-back" class="glyphicon glyphicon-circle-arrow-left"></span>
                    <h2 class="summary-head">
                        Order Summary
                        {% if order_id and order_date and dms_number %}
                            ({{order_id}}, {{order_date|date|default:"---"}}, {{dms_number}})
                        {% elif order_id and order_date %}
                            ({{order_id}}, {{order_date|date|default:"---"}})
                        {% elif order_id %}
                            (Order Number: {{order_id}})
                        {% endif %}
                    </h2>
                </div>
                <div class="col-md-8 text-right">
                    <button type="button" class="btn btn-warning">
                        <label style="color: #424242;margin-bottom: 0;">Credit days:</label>
                        <b>{{dbm.credit_days|default:"0"}}</b>
                    </button>

                    <button type="button" class="btn btn-info">
                        <label style="color: #424242;margin-bottom: 0;">Credit Limit:</label>
                        <b>₹ {{dbm.max_outstanding_threshold|floatformat:2|intcomma}}</b>
                    </button>

                    <button type="button" class="btn btn-danger">
                        <label style="color: #424242;margin-bottom: 0;">Min order:</label>
                        <b>₹ {{dbm.min_order_amount|floatformat:2|intcomma}}</b>
                    </button>

                    {% if outstanding_flag == True %}
                        <button type="button" class="btn btn-success">
                            <label style="color: #424242;margin-bottom: 0;">Outstanding:</label>
                            <b>₹ {{outstanding|floatformat:2|intcomma}}</b>
                        </button>
                    {% endif %}

                    <button type="button" class="btn btn-default">
                        <i class="fa fa-file-pdf-o" aria-hidden="true" style="color: red"></i>
                        <b style="color: #424242"> PDF</b>
                    </button>

                    <button type="button" class="btn btn-default">
                        <a href="/"><span class="glyphicon glyphicon-home"></span> <b style="color: #424242"> Home</b></a>
                    </button>

                    {% if request.user.is_superuser %}
                    {% elif request.user|has_group:"SR" %}
                    {% else %}
                        {% if 'Draft' in orderhead.status %}
                            <button type="button" class="btn button-success"><!--btn-add-mor-->
                                <a href="{% url 'productlist' %}" style="padding: 0;color: #fff;">
                                    Add More Product
                                </a>
                            </button>
                        {% endif %}
                    {% endif %}
                </div>
            </div>

            <div class="row">
                <div class="col-xs-12 col-sm-12 col-md-12">
                    <table class="table table-bordered table-responsive table-striped brand-table">
                        <thead>
                            <tr>
                                <th>PRODUCT CODE(SKU)</th>
                                <th>NAME</th>
                                <th>MRP</th>
                                <th>DP</th>
                                <th>QUANTITY</th>
                                <th>ALLOWANCE</th>
                                <th>Value After Allowance</th>
                                <th>PRE GST</th>
                                <th>CGST</th>
                                <th>SGST</th>
                                <th>Total Bill</th>
                                {% if request.user.is_superuser %}
                                {% elif request.user|has_group:"SR" %}
                                {% else %}
                                    {% if 'Draft' in orderhead.status %}
                                        <th>Action</th>
                                    {% endif %}
                                {% endif %}
                            </tr>
                        </thead>
                        <tbody>
                            {% for obj in objpm %}
                                <tr>
                                    <td>{{obj.skucode}}</td>
                                    <input type="hidden" name="hdnskucode{{obj.skucode}}" id="hdnskucode" value="{{obj.skucode}}">
                                    <td>{{obj.name}}</td>
                                    <input type="hidden" id=""/>
                                    <td style="text-align:right;">₹ {{obj.mrp|floatformat:2|intcomma}}</td>
                                    <td style="text-align:right;">₹ {{obj.dp|floatformat:2|intcomma}}</td>
                                    <td style="text-align:right;">
                                        <span id="spanaddorder{{obj.skucode}}">{{obj.quantity}}</span>
                                        <input style="display: none;width: 35%; text-align:right;" type="text" class="txtorder" value="{{obj.quantity}}" name="txtaddorder{{obj.skucode}}" id="txtaddorder{{obj.skucode}}">
                                        <ul class="pagination pagination-text" id='ul{{obj.skucode}}' style="display: none;margin-left: 41%;margin-top: -23px;" >
                                            <li class="active" onclick="return plusfunction('{{obj.quantity}}_{{obj.skucode}}');"><a>+</a></li>
                                            <li onclick="return minusfunction('{{obj.quantity}}_{{obj.skucode}}');"><a>-</a></li>
                                        </ul>
                                    </td>
                                    <td style="text-align:right;">{{obj.allowance}} %</td>
                                    <td class="success" style="text-align:right;">₹ {{obj.valueafterallowance|floatformat:2|intcomma}}</td>
                                    <td style="text-align:right;">₹ {{obj.pregst|floatformat:2|intcomma}}</td>
                                    <td style="text-align:right;">₹ {{obj.cgst|floatformat:2|intcomma}}</td>
                                    <td style="text-align:right;">₹ {{obj.sgst|floatformat:2|intcomma}}</td>
                                    <td class="success" style="text-align:right;">₹ {{obj.totalbill|floatformat:2|intcomma}}</td>
                                    {% if request.user.is_superuser %}
                                    {% elif request.user|has_group:"SR" %}
                                    {% else %}
                                        {% if 'Draft' in obj.status %}
                                            <td>
                                                <a href="#" id="editbtn{{obj.skucode}}" onclick="return editfunction('{{obj.skucode}}')" style="margin-left: 20px;">Edit</a>
                                                <button type="submit" style="background-color: white; color: #3c8dbc; display:none;" name="orderupdate" id="orderupdate{{obj.skucode}}" value="{{obj.skucode}}">save</button>
                                                <a href="{% url 'customerorderdelete' %}?skucode={{obj.skucode}}&&orderid={{obj.orderobjid}}&&url=2&&orderno={{orderno}}&&dealerid={{dealerid}}" style="margin-left: 20px;">Delete</a>
                                            </td>
                                        {% endif %}
                                    {% endif %}
                                </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>

            <div class="row">
                <div class="col-xs-12 col-sm-4 col-md-4">
                    {% if request.user.is_superuser %}
                    <table class="table table-bordered table-responsive table-striped allowance-table table-c-detail">
                        <thead>
                            <tr>
                                <th colspan="2">
                                    Customer Detail (
                                    <a target="_blank" href="{% url 'dealer_profile' dealer.dealer_id %}">
                                        {{dealer.owner_name|default:"---"}}
                                    </a>)
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr>
                                <td>{{dealer.company_name|default:"--"}}</td>
                                <td>{{dealer.primary_contact|default:"--"}}</td>
                            </tr>
                            <tr>
                                <td>{{dealer.company_address|default:"--"}}</td>
                                <td>{{dealer.email|default:"--"}}</td>
                            </tr>
                            <tr>
                                <td>Credit days: {{dbm.credit_days|default:"--"}}</td>
                                <td>Thresshold: ₹ {{dbm.max_outstanding_threshold|floatformat:2|intcomma}}</td>
                            </tr>
                            <tr>
                                <td>GST</td>
                                <td>{{dealer.gst_no|default:"--"}}</td>
                            </tr>
                            <tr>
                                <td>PAN</td>
                                <td>{{dealer.pan_no|default:"--"}}</td>
                            </tr>
                        </tbody>
                    </table>
                    {% endif %}
                </div>
                <div class="col-xs-12 col-sm-8 col-md-8">
                    <table class="table table-bordered table-responsive table-striped allowance-table">
                        <thead>
                            <tr>
                                <th>Order details - after allowance</th>
                                <th></th>
                                <th></th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr>
                                <td>DP</td>
                                <td style="text-align:right;">₹ {{totaldp|floatformat:2|intcomma}}</td>
                                <td></td>
                            </tr>
                            <tr>
                                <td>Net After Allowance(including GST)</td>
                                <td style="text-align:right;">₹ {{totalafterallowance|floatformat:2|intcomma}}</td>
                                <td></td>
                            </tr>
                            <tr>
                                <td>Pre GST Cost</td>
                                <td style="text-align:right;">₹ {{totalpregst|floatformat:2|intcomma}}</td>
                                <td></td>
                            </tr>
                            <tr>
                                <td>
                                    CGST
                                    {% if status_image %}
                                        <img src="{% static 'img/' %}{{status_image}}.png" class="status-image">
                                    {% endif %}
                                </td>
                                <td style="text-align:right;">₹ {{totalcgst|floatformat:2|intcomma}}</td>
                                <td></td>
                            </tr>
                            <tr>
                                <td>SGST</td>
                                <td style="text-align:right;">₹ {{totalsgst|floatformat:2|intcomma}}</td>
                                <td></td>
                            </tr>
                            <tr>
                                <td>Net Bill Value</td>
                                <td class="success" style="text-align:right;">₹ {{totalbill|floatformat:2|intcomma}}</td>
                                <td></td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>

            {% if total.tieup_flag or total.scheme_flag %}

                <div class="row">
                    <div class="col-xs-12 col-sm-12 col-md-12 for-sr-only">
                        <h2> Applied Schemes - by ({{total.sr_name}}, {{total.sr_contact}})</h2>
                        <table class="table table-bordered table-responsive table-striped brand-table">
                            <thead>
                                <tr>
                                    <th>SKU Code</th>
                                    <th>QTY.</th>
                                    <th>DP per unit</th>
                                    <th>Allowance</th>
                                    <th title="dp - allowance">Value after allowance including tax</th>
                                    <th>TieUp</th>
                                    <th>Sell through</th>
                                    <th title="pregst - (tieup + sell through)">Final value</th>
                                    <th title="final value * quantity">Total Value</th>
                                    <!--<th>BBP</th>-->
                                </tr>
                            </thead>
                            <tbody>
                                {% for item in details %}
                                    <tr>
                                        <td>{{item.skucode}}</td>
                                        <td>{{item.quantity}}</td>
                                        <td>₹ {{item.dp|floatformat:2|intcomma}}</td>
                                        <td>₹ {{item.allowance_value|floatformat:2|intcomma}}</td>
                                        <td>₹ {{item.total_pre|floatformat:2|intcomma}}</td>
                                        <td>₹ {{item.tieup_value|floatformat:2|intcomma}}</td>
                                        <td>₹ {{item.sell_through_value|floatformat:2|intcomma}}</td>
                                        <td>₹ {{item.total_pre_gst|floatformat:2|intcomma}}</td>
                                        <td>₹ {{item.final_total|floatformat:2|intcomma}}</td>
                                        <!--<td>₹ {{item.bbp|floatformat:2|intcomma}}</td>-->
                                    </tr>
                                {% endfor %}
                            </tbody>
                        </table>
                    </div>
                </div>

                <div class="row">
                    <div class="col-xs-12 col-sm-4 col-md-4"></div>
                    <div class="col-xs-12 col-sm-8 col-md-8">
                        <table class="table table-bordered table-responsive table-striped allowance-table">
                            <thead>
                                <tr>
                                    <th>Order details - After SR Scheme</th>
                                    <th></th>
                                    <th></th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>Total bill value</td>
                                    <td id="dp" style="text-align:right;">₹ {{total.sr_total|floatformat:2|intcomma}}</td>
                                    <td></td>
                                </tr>
                                <tr>
                                    <td>Less Total TieUp</td>
                                    <td id="gst" style="text-align:right;">₹ {{total.less_tieup|floatformat:2|intcomma}}</td>
                                    <td id="allowance"><!--{{total.allowance}} % Allowance--></td>
                                </tr>
                                <tr>
                                    <td>Less Total sell through</td>
                                    <td id="pre" style="text-align:right;">₹ {{total.less_sell|floatformat:2|intcomma}}</td>
                                    <td id="tieup"></td>
                                </tr>
                                <tr>
                                    <td title="total bill - (tieup + sell through)">Net bill value</td>
                                    <td id="cgst" style="text-align:right;">₹ {{total.net_bill|floatformat:2|intcomma}}</td>
                                    <td></td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            {% endif %}

            {% if cc_status %}
                <div class="row">
                    <div class="col-xs-12 col-sm-6 col-md-6">
                        <h2>Credit Notes</h2>
                        <table class="table table-bordered table-responsive table-striped allowance-table table-c-detail">
                            <thead>
                                <tr>
                                    <th colspan="3">
                                        Tieup and SellThrough - Applied by {{credit_notes.sr_name|default:"---"}}
                                        ({{credit_notes.sr_contact_no|default:"---"}})
                                    </th>
                                </tr>
                            </thead>
                            <tbody>
                            {% if credit_notes.tieup|length > 0 %}
                                {% for item in credit_notes.tieup %}
                                    <tr>
                                        <td colspan="2" style="text-align: right;">
                                            ₹ {{item.applyed_discount_amount|floatformat:2|intcomma}}
                                        </td>
                                        <td>
                                            Applied on {{item.tieup_date|date|default:"---"}}
                                        </td>
                                    </tr>
                                {% endfor %}
                            {% else %}
                                <tr>
                                    <td colspan="2" style="text-align: right;">₹ 0</td>
                                    <td>---</td>
                                </tr>
                            {% endif %}

                            {% if credit_notes.sell_through|length > 0 %}
                                {% for sell in credit_notes.sell_through %}
                                    <tr>
                                        <td colspan="2" style="text-align: right;">
                                            ₹ {{sell.total_sell_amount|floatformat:2}}
                                        </td>
                                        <td>
                                            Applied on {{sell.sell_through_date|date}}
                                        </td>
                                    </tr>
                                {% endfor %}
                            {% else %}
                                <tr>
                                    <td colspan="2" style="text-align: right;">₹ 0</td>
                                    <td>---</td>
                                </tr>
                            {% endif %}
                            </tbody>
                            <tfoot>
                            <tr>
                                <td colspan="2" style="text-align:right;">
                                    Total: ₹ {{credit_notes.grand_total|floatformat:2|intcomma}}
                                </td>
                            </tr>
                            </tfoot>
                        </table>

                        <!-- <table class="table table-bordered table-responsive table-striped allowance-table">
                            <thead>
                                <tr>
                                    <th colspan="2">
                                        SellThrough - Applied by {{credit_notes.sr_name}} ({{credit_notes.sr_contact_no}})
                                    </th>
                                </tr>
                            </thead>
                            <tbody>
                            {% for sell in credit_notes.sell_through %}
                            <tr>
                                <td style="text-align: right;">
                                    ₹ {{sell.total_sell_amount|floatformat:2}}
                                </td>
                                <td>
                                    Applied on {{sell.sell_through_date|date}}
                                </td>
                            </tr>
                            {% endfor %}
                            </tbody>
                            <tfoot>
                            <tr>
                                <td style="text-align: right;">
                                    Total SellThrough: ₹ {{credit_notes.total_sell|floatformat:2|intcomma}}
                                </td>
                            </tr>
                            </tfoot>
                        </table>

                        <table class="table table-bordered table-responsive table-striped allowance-table table-c-detail">
                            <thead>
                                <tr>
                                    <td style="text-align: right;width:52%">
                                        <b>Grand Total: ₹ {{credit_notes.grand_total|floatformat:2|intcomma}}</b>
                                    </td>
                                    <td></td>
                                </tr>
                            </thead>
                        </table> -->
                    </div>
                </div>
            {% endif %}

            {% if history %}
                <!-- <div class="row">
                    <div class="col-xs-12 col-sm-6 col-md-6">
                        <h2>Order History</h2>
                        <table class="table table-bordered table-responsive table-striped allowance-table table-c-detail">
                            <thead>
                                <tr>
                                    <th>Status</th>
                                    <th>Date</th>
                                </tr>
                            </thead>
                            <tbody>
                            {% for item in orderHistory %}
                                <tr>
                                    <td>
                                        {{item.order_status}}
                                    </td>
                                    <td>
                                        {{item.created_on|date|default:"---"}}
                                    </td>
                                </tr>
                            {% endfor %}
                            </tbody>
                        </table>
                    </div>
                </div> -->

                <div class="row">
                    <div class="col-xs-12 col-sm-6 col-md-6">
                        <h3 style="font-size: 20px;font-weight: 600;">
                            Order Log (OrderID: {{order_id}}, DMS Ordernumber: {{dms_number}})
                        </h3>
                        <table class="table table-bordered table-responsive table-striped allowance-table table-c-detail">
                            <tbody>
                            {% for item in orderHistory %}
                                <tr>
                                    <td>
                                        {% if item.order_status == 'Processing' %}
                                            Dealer <a target="_blank" href="{% url 'dealer_profile' dealer.dealer_id %}">
                                            {{dealer.owner_name|default:"---"}}</a>
                                            process order(Order No: {{order_id}}) on {{item.created_on}}

                                        {% elif item.order_status == 'SchemeApplied' %}
                                            SR <a href="javascript:void(0);">{{total.sr_name|default:"---"}}</a>
                                            proceed order(Order No: {{order_id}}) and applied all Sell Through
                                            and Tieup and send it to Dealer
                                            <a target="_blank" href="{% url 'dealer_profile' dealer.dealer_id %}">
                                            {{dealer.owner_name|default:"---"}}</a> for confirmation on {{item.created_on}}

                                        {% elif item.order_status == 'OrderPlaced' %}
                                            Dealer <a target="_blank" href="{% url 'dealer_profile' dealer.dealer_id %}">
                                            {{dealer.owner_name|default:"---"}}</a>
                                            placed order(Order No: {{order_id}}) on {{item.created_on}}

                                        {% elif item.order_status == 'InWarehouse' %}
                                            Warehouse Admin reviewed order(Order No: {{order_id}}) on {{item.created_on}}
                                            and send it to &lt;{{warehouse}}&gt;
                                            &lt;{{manager}}&gt;

                                        {% elif item.order_status == 'Dispatched' %}
                                            Warehouse User <a href="javascript:void(0);">
                                            {{total.sr_name|default:"---"}}</a> dispatched order(Order No: {{order_id}})
                                            on {{item.created_on}}

                                        {% elif item.order_status == 'Deleted' %}
                                            Order(Order No: {{order_id}}) canceled by <a href="javascript:void(0);">
                                            {{item.created_by.first_name}} {{item.created_by.last_name}}</a>
                                            on {{item.created_on}}

                                        {% elif item.order_status == 'Reject' %}
                                            Order(Order No: {{order_id}}) rejected by <a href="javascript:void(0);">
                                            {{item.created_by.first_name}} {{item.created_by.last_name}}</a>
                                            on {{item.created_on}}

                                        {% elif item.order_status == 'OnHold' %}
                                            Order(Order No: {{order_id}}) on hold <a href="javascript:void(0);">
                                            {{item.created_by.first_name}} {{item.created_by.last_name}}</a>
                                            on {{item.created_on}}

                                        {% elif item.order_status == 'Delivered' %}
                                            Order(Order No: {{order_id}}) delivered by <a href="javascript:void(0);">
                                            {{item.created_by.first_name}} {{item.created_by.last_name}}</a>
                                            on {{item.created_on}}

                                        {% elif item.order_status == 'PartialDispatched' %}
                                            Order(Order No: {{order_id}}) partial dispatched by <a href="javascript:void(0);">
                                            {{item.created_by.first_name}} {{item.created_by.last_name}}</a>
                                            on {{item.created_on}}
                                        {% endif %}
                                    </td>
                                </tr>
                            {% endfor %}
                            </tbody>
                        </table>
                    </div>
                </div>
            {% endif %}


            <div class="row">
                <div class="col-md-12 text-right">
                    {% if request.user|has_group:"DEL" %}
                        {% if 'Draft' in orderhead.status %}
                            {% if min_order_error == False %}
                                <button type="button" class="order-btn btnCancel">
                                    <a href="javascript:void(0);">Cancel Order</a>
                                </button>
                                <button type="submit" class="order-btn" name="processorder" id="processorder" style="color: white;">
                                    Process Order
                                </button>
                            {% endif %}
                        {% endif %}
                    {% endif %}
                </div>
            </div><br>

            <div class="row">
                <div class="col-md-12 text-right">
                    {% if outstanding_flag == False %}
                        {% if request.user|has_group:"DEL" %}
                            {% if min_order_error == False and orderhead.status != 'Draft' %}
                                <button type="button" class="order-btn btnCancel">
                                    <a href="javascript:void(0);">Cancel Order</a>
                                </button>

                                <button id="btnConfirm" type="button" class="order-btn send-dealer">
                                    <a href="javascript:void(0);">Confirm Order</a>
                                </button>
                            {% endif %}
                        {% endif %}
                    {% endif %}
                </div>
            </div><br>

            {% if orderno %}

                {% if comment %}

                {% else %}

                    {% if request.user.is_superuser %}

                    {% elif request.user|has_group:"SR" %}

                    {% else %}
                        <div class="row">
                            <div class="col-md-12 text-right">
                                <h3 style="text-align:left;">Leave a Comment</h3>
                                <textarea rows="4" cols="147" name="ordernote" id="ordernote" placeholder="Add a comment..."></textarea>
                                <button type="submit" class="ordercomment" name="commentbtn" id="commentbtn" style="color: white;">Post a Comment</button>
                            </div>
                        </div>
                    {% endif %}
                {% endif %}

                <div class="row">
                    <div class="col-xs-12 col-sm-12 col-md-12">
                        {% for note in comment %}
                            <div class="postnewcomment clearfix">
                                {% if note.image %}
                                    <img alt="" src="/media/{{note.image}}" class="postnewcommentavatar avatar-114 photo" height="114" width="114">
                                {% else %}
                                    <img alt="" src="/static/avatar_a.png" class="postnewcommentavatar avatar-114 photo" height="114" width="114">
                                {% endif %}

                                <div class="postnewcontent">
                                    <h2 class="postname">
                                        <a href="#">{{note.name}}</a><br>
                                        <span style="font-size: 12px;">{{note.date}}</span>
                                    </h2>
                                    <div class="biotext">{{note.description}}</div><br><br>

                                    {% if request.user.is_superuser %}
                                    {% elif request.user|has_group:"SR" %}
                                    {% else %}
                                        <button type="button" name="reply" class="btnreply" onclick="return replyfunction('{{note.id}}');" id="reply{{note.id}}">Reply</button>
                                    {% endif %}

                                    <div class="row" id="replydiv{{note.id}}"  style="display: none;">
                                        <div class="col-md-12 text-right">
                                            <h4 style="text-align:left;">Leave a Reply</h4>
                                            <textarea rows="2" cols="119" name="ordernote{{note.id}}" id="ordernote" placeholder="Add a reply..."></textarea>
                                            <button type="submit" value="{{note.id}}" class="ordercomment" name="replybtn" id="replybtn" style="color: white;">Reply</button>
                                        </div>
                                    </div><br>

                                    {% if note.childnote %}
                    
                                        {% for aobj in note.childnote %}

                                            {% if aobj.image %}<br>
                                                <img alt="" src="/media/{{aobj.image}}" class="postnewcommentavatar avatar-114 photo" height="40" width="40">
                                            {% else %}<br>
                                                <img alt="" src="/static/avatar_a.png" class="postnewcommentavatar avatar-114 photo" height="40" width="40">
                                            {% endif %}

                                            <div class="postnewcontent" style="margin-left: 10%;">
                                                <h2 class="postname">
                                                    <a href="#">{{aobj.createbyname}}</a><br>
                                                    <span style="  font-size: 12px;">{{aobj.childdate}}</span>
                                                </h2>
                                                <div class="biotext">{{aobj.queryset.description}}</div><br><br>
                                            </div>
                                        {% endfor %}
                                    {% endif %}
                                </div>
                            </div>
                        {% endfor %}
                    </div>
                </div>
            {% endif %}
        </div>
    </form>

    <div id="modal-confirmation" class="modal fade modal-alert">
        <div class="modal-dialog modal-dialog-new">
            <div class="modal-content modal-content-new">
                <div class="modal-header modal-header-new">
                    <i class="fa fa-times-circle"></i>
                </div>
                <div class="modal-title modal-title-new">Cancel</div>
                <div class="modal-body modal-body-new" style="color:#444 !important;background-color:#fff !important">Are you sure you want to cancel this order?</div>
                <div class="modal-footer modal-footer-new" style="background-color:#fff !important;border-top:1px solid #fff !important">
                    <a id="confirm-id" class="btn btn-danger btn-3d">Yes</a>
                    <a class="btn btn-info btn-3d" data-dismiss="modal">No</a>
                </div>
            </div>
        </div>
    </div>

{% endblock %}

{% block extra_script_block %}
    {{ block.super }}
    <script src="{% static 'js/customer_order_details.js' %}" type="text/javascript"></script>

    <script>
        var order_id = "";
        $(document).ready(function(){

            order_id = getUrlVars()["orderno"];

            $('body').addClass('sidebar-collapse');
            $('ul.sidebar-menu').css('display', 'none');

            $('.sidebar-toggle').click(function(){
                $('ul.sidebar-menu').css('display', 'block');
            })

            $('.content-header').remove();

            $('.btnCancel').click(function() {

                $(".modal-header-new").css('background-color', '#50bbe4 !important');
                $("#modal-confirmation").addClass('modal-info').removeClass('modal-success');

                $("#confirm-id").addClass('btn-danger').removeClass('btn-success');
                $("#confirm-id").attr("href", '/user/confirm_order_cancel/1/'+order_id);

                $(".modal-header-new").html('<i class="fa fa-times-circle"></i>');
                $(".modal-title-new").html('Cancel');
                $(".modal-body-new").html('Are you sure you want to cancel this order?');
                $('#modal-confirmation').modal('show');
            });

            $('#btnConfirm').click(function() {

                $(".modal-header-new").css('background-color', '#50bbe4 !important');
                $("#modal-confirmation").addClass('modal-success').removeClass('modal-info');

                $("#confirm-id").addClass('btn-success').removeClass('btn-danger');
                $("#confirm-id").attr("href", '/user/confirm_order_cancel/2/'+order_id);

                $(".modal-header-new").html('<i class="fa fa-check-circle"></i>');
                $(".modal-title-new").html('Confirm');
                $(".modal-body-new").html('Are you sure you want to confirm this order?');
                $('#modal-confirmation').modal('show');
            });
        });

        function getUrlVars() {
            var vars = [], hash;
            var hashes = window.location.href.slice(window.location.href.indexOf('?') + 1).split('&');
            for(var i = 0; i < hashes.length; i++) {
                hash = hashes[i].split('=');
                vars.push(hash[0]);
                vars[hash[0]] = hash[1];
            }
            return vars;
        }
    </script>
{% endblock %}
